Setting precreated-client secret
Setting precreated-client secret
Sets the secret for the precreated-client in OpsManager's UAA configuration
Request
URI
PUT
https://{opsmanager-installation}/api/v0/uaa/precreated_client
COPY
Request Body
{
"precreated_client": {
"precreated_client_secret": "string"
}
}
precreated_client
Optional
precreated_client
Responses
200
OK
Returns
EmptyResponse
of type(s)
application/json
Operation doesn't return any data structure
400
Setup is not completed
Returns
RequireSetupCompleted
of type(s)
application/json
{
"errors": {
"errors": [
"string"
]
}
}
object
errors
Optional
errors
401
Unauthorized
Returns
UnauthorizedResponse
of type(s)
application/json
{
"errors": {
"errors": [
"string"
]
}
}
object
errors
Optional
errors
403
Forbidden
Returns
ForbiddenResponse
of type(s)
application/json
{
"errors": {
"errors": [
"string"
]
}
}
object
errors
Optional
errors
422
Unprocessable Content
Returns
CommonErrors
of type(s)
application/json
{
"errors": [
"string"
]
}
array of
string
errors
Required
errors
Code Samples
COPY
curl -X PUT -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '[{}]' https://{api_host}/api/v0/uaa/precreated_client
Uaa Settings Operations
GET
Viewing UAA password policy
PUT
Update UAA password policy
PUT
Setting precreated-client secret
GET
Retrieve token exchange UAA client credentials
DELETE
Remove token exchange trust configuration
GET
Viewing token exchange trust configuration
PUT
Configure token exchange trust
GET
Viewing token expiration times
PUT
Changing token expiration times